﻿@using System.Security.Claims
@model IEnumerable<ClientData>
@{
    ViewData["Title"] = "Client List";
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    var area = role == Roles.FirmPrincipal ? "firm-principal" : role == Roles.FirmAdmin ? "firm-admin" : "adviser";
    var additionalRoles = ViewBag.additionalRoles;
    bool hasAdviserRole = role == Roles.Adviser || (!string.IsNullOrEmpty(additionalRoles) && additionalRoles.Contains(Roles.Adviser));
}
<div class="container">
    <div class="card">
        <div class="card-header flex-wrap border-0 pt-6 pb-0">
            <div class="card-title mb-0">
                <div class="d-flex justify-content-between">
                    <div class="flex-grow-1">
                        <h3 class="card-label text-primary">
                            Client List
                        </h3>
                    </div>
                    @if (@role != Roles.Adviser)
                    {
                        <div class="d-flex" id="client-filter-container">
                            <label class="mr-3 mt-3 font-size-h6">Filter by: </label>
                            <div class="position-relative">
                                <input id="Search-Filter" class="form-control w-300px" maxlength="50" data-allow-clear="true" placeholder="Client Name/Email">
                            </div>
                            <button class="btn btn-sm btn-primary ml-3 mr-5" id="btn-search"><i class="fa fa-search"></i></button>
                        </div>
                    }
                    <div class="align-self-center">
                        @if (hasAdviserRole)
                        {
                            <button class="btn btn-sm btn-primary font-weight-bold font-size-h6 btn-client-add btn-add"><i class="fas fa-plus"></i>New Client</button>
                        }
                    </div>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="tab-content">
                <div id="firm-client-list">
                    <div class="datatable datatable-bordered" id="adviser_list"></div>
                </div>
                <div id="filtered-client-list" class="d-none">
                    <button onclick="clearFilter();" class="btn btn-sm btn-icon btn-outline-primary btn-hover-light-primary btn-circle" data-toggle="tooltip" title="Back to Default View" id="btn-nav-back">
                        <i class="fas fa-arrow-left"></i>
                    </button>
                    <div class="datatable datatable-bordered" id="client-list"></div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal" id="ClientModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<div class="modal" id="CFSStudentModal" tabindex="-1" role="dialog" aria-labelledby="staticBackdrop" aria-hidden="true"></div>
@section scripts{
    <script>
        localStorage.setItem("adviserLastPageHref", '@area/client-list');
    </script>
    <script src="/js/page/clients.js" asp-append-version="true"></script>
}